body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    transition: margin-left 0.3s ease;
}



main {
    max-width: 1200px;
    margin: 90px auto;
    padding: 40px;
    background-color: rgb(245, 242, 242)
}

.news-item {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #ccc;
    padding: 20px 0;
}
.news-item:hover{
    transform: scale(1.02);
    box-shadow: 0 6px 12px rgba(0,0,0,0.15);
}

.news-item img {
    width: 200px;
    height: auto;
    margin-right: 20px;
}

.news-details {
    text-align: left;
}
.news-details a {
    text-decoration: none;
  text-decoration-color: #333; /* Màu đỏ */
}

.news-details h3 {
    margin: 0 0 10px 0;
    font-size: 1.5em;
    color: #333;
}

.news-details p {
    margin: 5px 0;
    font-size: 14px;
    color: #666;
}

.news-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #9b9b9b;;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.news-button:hover {
    background-color: #d32f2f;;
}

.load-more-container {
    text-align: center;
    margin: 20px 0;
}

.load-more-button {
    padding: 10px 20px;
    background-color: #333;
    color: #fff;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.load-more-button:hover {
    background-color: #444;
}

.hidden {
    display: none;
}

footer {
    background-color: #343a40;
    color: #f8f9fa;
    padding: 2em;
    border-top: 1px solid #495057;
}

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.footer-title {
    font-size: 1.5em;
    margin-bottom: 1em;
}

.footer-sections {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.company-info {
    flex: 1;
    text-align: left;
    margin-right: 1em;
}

.company-info p {
    margin: 0.5em 0;
}

.company-info a {
    color: #17a2b8;
    text-decoration: none;
}

.company-info a:hover {
    text-decoration: underline;
}

.map-container {
    flex: 1;
    text-align: right;
}

.map-container iframe {
    max-width: 100%;
    height: 200px;
    border: none;
}



@media (max-width: 768px) {


    .news-details {
        width: 100%;
        margin-bottom: 1em;
    }

    .news-item {
        display: inline-block;

    }
    #category-news {
        display: flex;
        flex-direction: column; /* Xếp các dự án theo hàng dọc */
    }


    .footer-content {
        flex-direction: column;
        text-align: center;
    }

    .footer-sections {
        flex-direction: column;
    }

    .map-container iframe {
        width: 100%;
        height: 200px; /* Thu nhỏ kích thước của bản đồ */
    }
}